<?php
// ######################## SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);
if (!is_object($vbulletin->db))
{
        exit;
}

// ########################################################################
// ######################### START MAIN SCRIPT ############################
// ########################################################################

if ($vbulletin->options['mwaextraadmin3_setting_active'])
{

if ($vbulletin->options['mwaextraadmin3_nlp_notifications_active'])
{

if ($vbulletin->options['mwaextraadmin3_nlp_notifications_autodelete_active'])
{

$mwadateline = $vbulletin->options['mwaextraadmin3_nlp_notifications_autodeletedays_active'];

$mwaextraadmin3_notificationdel = $vbulletin->db->query_read("
                 SELECT threadid, dateline
                 FROM " . TABLE_PREFIX . "mwaextraadmin3_nlp_notifications_thread
                 WHERE dateline < " . TIMENOW . " - (86400 * $mwadateline)
                 ");

while ($mwaextraadmin3_notifications = $vbulletin->db->fetch_array($mwaextraadmin3_notificationdel))
{
          $vbulletin->db->query_write("
          DELETE FROM " . TABLE_PREFIX . "mwaextraadmin3_nlp_notifications_thread
          WHERE threadid = " . $mwaextraadmin3_notifications['threadid'] . "
          ");

          $vbulletin->db->query_write("
          DELETE FROM " . TABLE_PREFIX . "mwaextraadmin3_nlp_notifications_read
          WHERE threadid = " . $mwaextraadmin3_notifications['threadid'] . "
          ");
}

log_cron_action('تم الحذف الآلي للمواضيع من قائمة التنبيهات', $nextitem);

}
}
}
?>
